net.sf.jasperreports.engine

## Interface JRStyleContainer

- All Known Subinterfaces:
    Cell, JRAlignment, JRBox, JRBoxContainer, JRBreak, JRCellContents, JRChart, JRCommonElement, JRCommonGraphicElement, JRCommonImage, JRCommonRectangle, JRCommonText, JRComponentElement, JRConditionalStyle, JRCrosstab, JRElement, JREllipse, JRFont, JRFrame, JRGenericElement, JRGenericPrintElement, JRGraphicElement, JRImage, JRLine, JRLineBox, JRParagraph, JRParagraphContainer, JRPenContainer, JRPrintElement, JRPrintEllipse, JRPrintFrame, JRPrintGraphicElement, JRPrintImage, JRPrintLine, JRPrintRectangle, JRPrintText, JRRecordedValuesPrintElement, JRRectangle, JRStaticText, JRStyle, JRSubreport, JRTextElement, JRTextField
  All Known Implementing Classes:
    CachingLineBox, CachingParagraph, CompiledCell, DesignCell, ElementDecorator, FillTableSubreport, IconLabelComponent, IconLabelComponentFill, JRBaseBox, JRBaseBreak, JRBaseCellContents, JRBaseChart, JRBaseComponentElement, JRBaseConditionalStyle, JRBaseCrosstab, JRBaseElement, JRBaseEllipse, JRBaseFont, JRBaseFrame, JRBaseGenericElement, JRBaseGenericPrintElement, JRBaseGraphicElement, JRBaseImage, JRBaseLine, JRBaseLineBox, JRBaseParagraph, JRBasePrintElement, JRBasePrintEllipse, JRBasePrintFrame, JRBasePrintGraphicElement, JRBasePrintImage, JRBasePrintLine, JRBasePrintRectangle, JRBasePrintText, JRBaseRectangle, JRBaseStaticText, JRBaseStyle, JRBaseSubreport, JRBaseTextElement, JRBaseTextField, JRDesignBreak, JRDesignCellContents, JRDesignChart, JRDesignComponentElement, JRDesignConditionalStyle, JRDesignCrosstab, JRDesignElement, JRDesignEllipse, JRDesignFont, JRDesignFrame, JRDesignGenericElement, JRDesignGraphicElement, JRDesignImage, JRDesignLine, JRDesignRectangle, JRDesignStaticText, JRDesignStyle, JRDesignSubreport, JRDesignTextElement, JRDesignTextField, JRFillBreak, JRFillCellContents, JRFillChart, JRFillComponentElement, JRFillCrosstab, JRFillElement, JRFillEllipse, JRFillFrame, JRFillGenericElement, JRFillGraphicElement, JRFillImage, JRFillLine, JRFillRectangle, JRFillStaticText, JRFillSubreport, JRFillTextElement, JRFillTextField, JRRecordedValuesGenericPrintElement, JRRecordedValuesPrintImage, JRRecordedValuesPrintText, JRTemplateElement, JRTemplateEllipse, JRTemplateFrame, JRTemplateGenericElement, JRTemplateGenericPrintElement, JRTemplateGraphicElement, JRTemplateImage, JRTemplateLine, JRTemplatePrintElement, JRTemplatePrintEllipse, JRTemplatePrintFrame, JRTemplatePrintGraphicElement, JRTemplatePrintImage, JRTemplatePrintLine, JRTemplatePrintRectangle, JRTemplatePrintText, JRTemplateRectangle, JRTemplateText, JRVirtualPrintPage.JRIdHolderTemplateElement, TableSubreport

      public interface JRStyleContainer

  Version:
    $Id: JRStyleContainer.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `JRStyle` | `getStyle()` Returns this object's style.
    `java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.

- - ### Method Detail

    - #### getDefaultStyleProvider

          JRDefaultStyleProvider getDefaultStyleProvider()

    - #### getStyle

          JRStyle getStyle()

      Returns this object's style.
      Returns:
        this object's style

    - #### getStyleNameReference

          java.lang.String getStyleNameReference()

      Returns the name of an external style which is to be used by this object.

      External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.
      Returns:
        the name of an external style

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com